# GM - Map List

## **Documentation**

**GM - Map List** component enables users to conveniently map multiple records for any object (Standard or Custom). This component offers a unique blend of map view and list view, facilitating record filtering and action-taking capabilities.

**Use case:** Display list of Accounts on Google Maps and And filter Accounts by Billing Country. See [GM - Map List](/product-tour/map-list.md) .

## **Specification**

{% hint style="info" %}
The **GM - Google Map List** component requires either a street set of fields (Street, City, Postal Code, State, Country) or a geolocation (Latitude, Longitude) to map an given object.
{% endhint %}

{% hint style="warning" %}
If the map provider is OSM only geolocations (Latitude, Longitude) is supported.
{% endhint %}

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="mapListLWC.js-meta.xml" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>64.0</apiVersion>
    <masterLabel>GM - Map List</masterLabel>
    <isExposed>true</isExposed>
    <targets>
        <target>lightning__RecordPage</target>
        <target>lightning__AppPage</target>
        <target>lightning__HomePage</target>
        <target>lightningCommunity__Page</target>
        <target>lightningCommunity__Default</target>
    </targets>
    <targetConfigs>
        <targetConfig targets="lightning__RecordPage,lightning__AppPage,lightning__HomePage">
            <property
                name="mapProvider"
                type="String"
                label="Map Provider"
                description="Map Provider : (google | osm)"
            />

            <property name="objectName" type="String" label="Object Name" description="Object API Name" />
            <property name="customLabel" type="String" label="Custom Label" description="Custom Label" />
            <property name="filter" type="String" label="Filter" description="JSON Filters" />
            <property name="rowLimit" type="Integer" label="Row Limit" description="Max # of row to fetch" />

            <property name="streetField" type="String" label="Street Field" description="Street Field" />
            <property name="cityField" type="String" label="City Field" description="City Field" />
            <property name="postalCodeField" type="String" label="Postal Code Field" description="Postal Code Field" />
            <property name="stateField" type="String" label="State Field" description="State Field" />
            <property name="countryField" type="String" label="Country Field" description="Country Field" />

            <property name="latitudeField" type="String" label="Latitude Field" description="Latitude Field" />
            <property name="longitudeField" type="String" label="Longitude Field" description="Longitude Field" />

            <property name="titleField" type="String" label="Title Field" description="Title Field" />
            <property name="descriptionField" type="String" label="Popover Fields" description="Popover Fields" />
            <property name="detailFields" type="String" label="Detail Fields" description="Detail Fields" />

            <property
                name="searchFields"
                type="String"
                label="Search Fields"
                description="',' separated search fields"
            />
            <property
                name="canFilter"
                type="Boolean"
                label="Enable Filtering"
                description="Check this option if you want to use filters"
            />

            <property name="mapIcon" type="String" label="Marker Icon" description="Map Marker Icon" />
            <property name="listIcon" type="String" label="List Icon" description="Item List Icon" />

            <property name="showBorder" type="Boolean" label="Show Border" description="Show Border" />
            <property name="height" type="Integer" label="Map Height" description="Map Height" />

            <property
                name="colring"
                type="String"
                label="Marker Coloring"
                description="JSON Marker Coloring Configuration"
            />

            <property
                name="searchAround"
                type="String"
                label="Search Around"
                description="JSON Search Around Configuration"
            />

            <property
                name="jsonActions"
                type="String"
                label="Actions"
                description="Json string to initialize the list of available actions"
            />

            <property
                name="jsonRecordActions"
                type="String"
                label="Record Actions"
                description="Json string to initialize the list of available record actions"
            />

            <property
                name="showClusters"
                type="Boolean"
                label="Show Clusters"
                description="Check this option if you want to show clusters"
            />

            <property
                name="wildCard"
                type="String"
                label="xxx(deprecated)"
                description="Deprecated. Ignore this property"
            />
            <property
                name="wildCardSearch"
                type="String"
                label="zzz(deprecated)"
                description="Deprecated. Ignore this property"
            />
        </targetConfig>
        <targetConfig targets="lightningCommunity__Default">
            <property
                name="mapProvider"
                type="String"
                label="Map Provider"
                description="Map Provider : (google | osm)"
            />

            <property name="objectName" type="String" label="Object Name" description="Object API Name" />
            <property name="customLabel" type="String" label="Custom Label" description="Custom Label" />
            <property name="filter" type="String" label="Filter" description="JSON Filters" />
            <property name="rowLimit" type="Integer" label="Row Limit" description="Max # of row to fetch" />

            <property name="streetField" type="String" label="Street Field" description="Street Field" />
            <property name="cityField" type="String" label="City Field" description="City Field" />
            <property name="postalCodeField" type="String" label="Postal Code Field" description="Postal Code Field" />
            <property name="stateField" type="String" label="State Field" description="State Field" />
            <property name="countryField" type="String" label="Country Field" description="Country Field" />

            <property name="latitudeField" type="String" label="Latitude Field" description="Latitude Field" />
            <property name="longitudeField" type="String" label="Longitude Field" description="Longitude Field" />

            <property name="titleField" type="String" label="Title Field" description="Title Field" />
            <property name="descriptionField" type="String" label="Description Field" description="Description Field" />
            <property name="detailFields" type="String" label="Detail Fields" description="Detail Fields" />

            <property
                name="searchFields"
                type="String"
                label="Search Fields"
                description="',' separated search fields"
            />
            <property
                name="canFilter"
                type="Boolean"
                label="Enable Filtering"
                description="Check this option if you want to use filters"
            />

            <property name="mapIcon" type="String" label="Marker Icon" description="Map Marker Icon" />
            <property name="listIcon" type="String" label="List Icon" description="Item List Icon" />

            <property name="showBorder" type="Boolean" label="Show Border" description="Show Border" />
            <property name="height" type="Integer" label="Map Height" description="Map Height" />

            <property
                name="colring"
                type="String"
                label="Marker Coloring"
                description="JSON Marker Coloring Configuration"
            />

            <property
                name="searchAround"
                type="String"
                label="Search Around"
                description="JSON Search Around Configuration"
            />

            <property
                name="jsonActions"
                type="String"
                label="Actions"
                description="Json string to initialize the list of available actions"
            />

            <property
                name="jsonRecordActions"
                type="String"
                label="Record Actions"
                description="Json string to initialize the list of available record actions"
            />

            <property
                name="showClusters"
                type="Boolean"
                label="Show Clusters"
                description="Check this option if you want to show clusters"
            />

            <property
                name="wildCard"
                type="String"
                label="xxx(deprecated)"
                description="Deprecated. Ignore this property"
            />
            <property
                name="wildCardSearch"
                type="String"
                label="zzz(deprecated)"
                description="Deprecated. Ignore this property"
            />
        </targetConfig>
    </targetConfigs>
</LightningComponentBundle>

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-map-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
